SIMPLER_ANIMAL_SETUP("rangobike", "BKST", "RUNN", "FAL_", "BOSN", "BOSL", "BOSR", "HOPP", "LOSE") -- Initiate character and custom Sprite2s.

local helpers = _G["SIMPLER_ANIMAL_HELPERS"]

function SIMPLER_ANIMAL_HOOKS.rango_bike_hook(mobj)
  if helpers.getSkin(mobj) == "rangobike"
    local player = helpers.getPlayer(mobj)
	
	if mobj.sprite2 == SPR2_GOAL then return
	elseif (mobj.sprite2 == SPR2_SPIN or mobj.sprite2 == SPR2_DEAD) then return
   // elseif mobj.sprite2 == SPR2_STIL then return "STIN", A, A, A -- https://git.do.srb2.org/KartKrew/RingRacers/-/issues/151
	elseif player.laps == 0 and not helpers.isMovingForward(mobj) and not helpers.isMovingBackward(mobj)
      return "BKST", A --stand still before first lap
	elseif player.laps == 0 and player.spindash then
	return "RUNN", A, B, C, D --running on foot before lap 1
	elseif player.laps == 0 and helpers.isMovingBackward(mobj) and not helpers.isAirborne(mobj) then
    helpers.SquaredSlow(mobj, -50)
	return "RUNN", A, B, C, D --running on foot before lap 1 begins
	elseif player.laps == 0 and helpers.isMovingForward(mobj) and helpers.isFast(mobj) and not helpers.isAirborne(mobj) then
	return "RUNN", A, B, C, D --running on foot before lap 1 begins
	elseif player.laps == 0 and helpers.isMovingForward(mobj) and not helpers.isAirborne(mobj)
	return "RUNN", A, B, C, D --running on foot before lap 1 begins
	elseif player.laps >= 1 and helpers.isDescending(mobj) and helpers.isAirborne(mobj)
    return "FAL_", A, B --falling in midair
	elseif player.laps >= 1 and helpers.isFast(mobj) and mobj.sprite2 == SPR2_DRLN then
	return "BOSN", A, B --boost wheelie neutral
	elseif player.laps >= 1 and helpers.isFast(mobj) and mobj.sprite2 == SPR2_DRLO then
	return "BOSR", A, B --boost wheelie right
	elseif player.laps >= 1 and helpers.isFast(mobj) and mobj.sprite2 == SPR2_DRLI then
	return "BOSL", A, B --boost wheelie left
	elseif player.laps >= 1 and helpers.isFaster(mobj) and mobj.sprite2 == SPR2_DRRN then
	return "BOSN", A, B --boost wheelie neutral
	elseif player.laps >= 1 and helpers.isFaster(mobj) and mobj.sprite2 == SPR2_DRRO then
	return "BOSL", A, B --boost wheelie left
	elseif player.laps >= 1 and helpers.isFaster(mobj) and mobj.sprite2 == SPR2_DRRI then
	return "BOSR", A, B --boost wheelie right
	elseif player.laps >= 1 and helpers.isFaster(mobj) and mobj.sprite2 == SPR2_DRLN then
	return "FAL_", A, B
	elseif player.laps >= 1 and helpers.isFaster(mobj) and mobj.sprite2 == SPR2_DRLO then
	return "FAL_", A, B
	elseif player.laps >= 1 and helpers.isFaster(mobj) and mobj.sprite2 == SPR2_DRLI then
	return "FAL_", A, B
	elseif player.laps >= 1 and helpers.isFaster(mobj) and mobj.sprite2 == SPR2_DRRN then
	return "FAL_", A, B
	elseif player.laps >= 1 and helpers.isFaster(mobj) and mobj.sprite2 == SPR2_DRRO then
	return "FAL_", A, B
	elseif player.laps >= 1 and helpers.isFaster(mobj) and mobj.sprite2 == SPR2_DRRI then
	return "FAL_", A, B
	elseif player.laps == 0 and helpers.isAirborne(mobj)
    return "HOPP", A, B --falling in midair
	end
  end
end
    
  /*  if mobj.sprite2 == SPR2_GOAL then return
	elseif (mobj.sprite2 == SPR2_SPIN or mobj.sprite2 == SPR2_DEAD) then return
    elseif mobj.sprite2 == SPR2_STIL then return "STIN", A, A, A -- https://git.do.srb2.org/KartKrew/RingRacers/-/issues/151
    elseif player.spindash then return "SPDA", A, A, C -- Spindash, start at A, loop back to A after C.
    elseif player.rideroid then return "RIDE", A, A, A
    elseif player.pullup then return "RIDE", A, A, A
    elseif player.dlzrocket then return "DASH", A, A, B
    elseif player.whip then
      helpers.SquaredSlow(mobj, -1) -- Slow this animation according to player speed.
      return "ROLL", A, A, D
    elseif player.respawn.timer or helpers.isTricking(mobj) or player.fastfall then
      helpers.SquaredSlow(mobj, -1)
      return "ROLL", A, A, D
    elseif helpers.isAirborne(mobj)
      helpers.SquaredSlow(mobj, -1)
      if abs(mobj.momz) <= FRACUNIT then return "ROLL", A, A, D -- Roll to transition between air states, it's cute.
      elseif helpers.isAscending(mobj) then return "SPNG", A, A, A
      else return "FALL", A, A, B end
    elseif mobj.sprite2 == SPR2_SLWN
      if helpers.isMovingForward(mobj) then
        helpers.SquaredSlow(mobj, -1)
        return "SLWN", A, A, H
      else -- Moving sideways/backwards.
        if (player.cmd.buttons & BT_ACCELERATE) and abs(player.speed) > FRACUNIT
          helpers.SquaredSlow(mobj, -1)
          return "EDGE", A, A, B
        else
          helpers.SquaredSlow(mobj, 1)
          return "SLWN", H, H, A
        end
      end
    elseif mobj.sprite2 == SPR2_DRLN or mobj.sprite2 == SPR2_DRRN -- Slowable drift.
      helpers.SquaredSlow(mobj, -1)
      return "DRLN", A, A, C
    elseif player.laps == 0 and mobj.state == S_KART_STILL
      helpers.SquaredSlow(mobj, -1)
      return "WAIT", A, A, B
    end
  end
end */